Bug 1810088 (CVE-2020-9402)

Summary: CVE-2020-9402 django: potential SQL injection via "tolerance" parameter in GIS functions and aggregates on Oracle
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, bbuckingham, bcourt, bkearney, btotty, dbecker, hhudgeon, hvyas, jal233, jjoyce, jschluet, lhh, lpeer, lzap, mburns, mhroncok, michel, mmccune, mrunge, puebele, rchan, rhos-maint, rjerrido, sclewis, sgallagh, slavek.kabrda, slinaber, slong, sokeeffe
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Django 1.11.29, Django 2.2.11, Django 3.0.4 Doc Type: If docs needed, set a value
Doc Text:
A SQL-injection flaw was found in python-django, where GIS functions and aggregates in Oracle did not correctly neutralize tolerance-parameter data. A remote attacker could use this flaw to submit crafted data to inject malicious SQL.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-21 16:46:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1810095, 1810097, 1810093, 1810094, 1810096, 1811634, 1819819, 1825178    
Bug Blocks: 1810092    

Description Guilherme de Almeida Suckevicz 2020-03-04 14:25:37 UTC
A flaw was found in Django in a way that GIS functions and aggregates on Oracle were subject to SQL injection, using a suitably crafted tolerance.

Reference:
https://www.djangoproject.com/weblog/2020/mar/04/security-releases/

Comment 1 Guilherme de Almeida Suckevicz 2020-03-04 14:33:31 UTC
Created django:1.6/python-django tracking bugs for this issue:

Affects: fedora-all [bug 1810097]


Created python-django tracking bugs for this issue:

Affects: epel-all [bug 1810094]
Affects: fedora-all [bug 1810093]
Affects: openstack-rdo [bug 1810096]


Created python-django16 tracking bugs for this issue:

Affects: epel-7 [bug 1810095]

Comment 2 Summer Long 2020-03-05 06:21:10 UTC
External References:

https://www.djangoproject.com/weblog/2020/mar/04/security-releases/

Comment 6 Summer Long 2020-03-09 01:01:18 UTC
Mitigation:

There is no known mitigation for this issue, the flaw can only be resolved by applying updates.

Comment 15 Summer Long 2020-07-13 02:21:33 UTC
Statement:

Although the following products ship the flawed code, they do not use or support its functionality and therefore will not be updated:
* Red Hat OpenStack Platform
* Red Hat Update Infrastructure 3
* Red Hat Ceph Storage

The following products will be updated. However, because both products do not use the functionality, their Impact has been reduced to 'Low':
* Red Hat Gluster Storage
* Red Hat Satellite 6

Comment 16 errata-xmlrpc 2021-04-21 13:10:18 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.8 for RHEL 7

Via RHSA-2021:1313 https://access.redhat.com/errata/RHSA-2021:1313

Comment 17 Product Security DevOps Team 2021-04-21 16:46:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-9402